Package fr.gouv.vitam.functional.administration.common

# Class ErrorReport

java.lang.Object
fr.gouv.vitam.functional.administration.common.ErrorReport

public class ErrorReport extends Object
error report for generate error Report when some think is wrong in import referential This class contain code in vitam-error-messages.properties, the line of the error, Object in error to import (fileRulesModel) and some missingInformations for the import

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorReport()`
  `ErrorReport(FileRulesErrorCode code, int line, FileRulesCSV fileRulesCSV)`
  `ErrorReport(FileRulesErrorCode code, int line, String missingInformations)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FileRulesErrorCode`
  `getCode()`
  `FileRulesCSV`
  `getFileRulesCSV()`
  `int`
  `getLine()`
  `String`
  `getMissingInformations()`
  `void`
  `setCode(FileRulesErrorCode code)`
  `void`
  `setFileRulesCSV(FileRulesCSV fileRulesCSV)`
  `void`
  `setLine(int line)`
  `void`
  `setMissingInformations(String missingInformations)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ErrorReport

    public ErrorReport()

  - ### ErrorReport

    public ErrorReport(FileRulesErrorCode code, int line, FileRulesCSV fileRulesCSV)

  - ### ErrorReport

    public ErrorReport(FileRulesErrorCode code, int line, String missingInformations)

- ## Method Details

  - ### getMissingInformations

    public String getMissingInformations()

  - ### setMissingInformations

    public void setMissingInformations(String missingInformations)

  - ### getCode

    public FileRulesErrorCode getCode()

  - ### setCode

    public void setCode(FileRulesErrorCode code)

  - ### getLine

    public int getLine()

  - ### setLine

    public void setLine(int line)

  - ### getFileRulesCSV

    public FileRulesCSV getFileRulesCSV()

  - ### setFileRulesCSV

    public void setFileRulesCSV(FileRulesCSV fileRulesCSV)